Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class PersistenceController<T>

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>

Type Parameters:
  `T` - the persistence context class (eg. Session or EntityManager)

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EntityController, HibernateEntityController, MutableController, Query

    public abstract class PersistenceController<T>

extends Controller

Base class for controller objects which require a persistence context object.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`PersistenceController()`

Method Summary
`T` | `getPersistenceContext()`
`protected abstract String` | `getPersistenceContextName()`
`void` | `setPersistenceContext(T persistenceContext)`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceController

    public PersistenceController()

Method Detail

### getPersistenceContext

    public T getPersistenceContext()

### setPersistenceContext

    public void setPersistenceContext(T persistenceContext)

### getPersistenceContextName

    protected abstract String getPersistenceContextName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD